previus build were in alpha status
0.19
ADDED: Possibility to specify % of movie to test for autoresize routines
ADDED: Possibility to use CRF (and value) instead of bitrate for autoresize routines
ADDED: About button
0.20
ADDED: Bitrate encoding: used in 1 pass encoding or 2 pass encoding (and for autoresize routines if not checked use CRF). Specified MB size is ignored. (0.20)
ADDED: An Advanced Panel: 
moved here: Pause before encoding, Use CRF for Autosize..., Custom Comp% check, Specify Bitrate, Custom Matrix, Deinterlacer (0.20)
ADDED: (in advanced panel) Manual Crop&Resize:
if manual crop and resize is checked then AutoMKV will use those crop parameters AND width/height written. (user should use dgindex or gordianknot for finding values...) (0.20)
0.21
ADDED: (in advanced panel) "Allow multiple autoresize", if checked AutoMKV will ask to redo autoresize.
0.22
ADDED: X264 and XviD profile editing. in the new tab "Advanced profiles editing" the actual profile will be loaded. 
In this editor user can edit the profile , or reload it, and check "Use this profile".
If checked "Use this profile" , AutoMKV will use these values and NOT those in standard profiles (just a little/fast way for editing profiles)
FIXED: CRF 19 is now default for autoresize
0.23
ADDED: Big layout change (Kudos to SeeMoreDigital)
FIXED: Output size management (suggestion of DDogg)
ADDED: Job Queue (VERY EXPERIMENTAL)
FIXED: Little layout change on size (MB)
0.27
ADDED: Subtitles to files to cancel
ADDED: Saving settings button. On click on "save setting" the following setting are saved
Container,Size,Slice,Resizer,Width,Set encoding mode,Audio Codec 1,Audio Bit 1,Audio Codec 2,Audio Bit 2, Encoding Profiles,Bitrate Encoding,Bitrate Value
a file named AutoMKV.ini is created and will always parsed at program start (if present)
ADDED: Launch windows minimized
0.28
FIXED: Loading of ifo file that aren't main movie (user can choose video.ifo even if movie is in VTS_09_0.IFO)
ADDED: Autoloading of vob files. just click on first to input
0.29
FIXED: Size problem on autoresize. 
ADDED: Clear job list (all job)
0.30
FIXED: Size in multiresize environment
ADDED: between [] (brachet ?) the exact computed size (before modding 16 and scale down to max 704)
0.31
ADDED: Number of channel to saved setting
FIXED: Dgindex is launched minimized
ADDED: "Prepare Phase only" if checked AutoMKV will do
1) test interlace (if choosed)
2) encode audio
3) run auto resize (compatible with multiple autoresize)
4) prepare movie.avs, batches per encoding and batch for muxing
0.32
ADDED: Subtitle to Queue
FIXED: Autoresize will respect bitrate choosen if USE CRF isn't checked.
ADDED: Lot of tips
ADDED: Some layout (suggestion by DDogg)
0.35
FIXED: Avs input
ADDED: Courtesy message at end of PPO
ADDED: At end of PPO a fullbatch.bat is created (first/second pass and muxing)
ADDED: If custom.avs is present into filter directory, this file will be imported automatically
EDIT: ADDED: possibility to specify output file name (also ADDED: to Queue list)
0.38 Full Package 17/10/2006
ADDED: New stable (or near) full package
FIXED: Lot's of change under the hood, just to name fews
FIXED: Private ac3 stream in TS files (thanks to DDogg for pointing files with this stream)
FIXED: Log name is based on input file name
FIXED: If resizer is set to NONE then WIDTH is set not to automatic
FIXED: Colormatrix shifted to end script
FIXED: Better message on multiresize (suggestion from DDogg)
FIXED: On Queue use is possible to use multires. AutoMkv window will be hided when encoding BUT on message for redo autoresize it will pop-up and will be possible to edit window
FIXED: Better support to track language on second audio
0.39
FIXED: If CRF profile is choosed and Multires checked then value (of crf) under "Use CRF autoresize" will be used for final encoding
in multires box ADDED: profile used and if use crf is checked value written
ADDED: In advanced panel the command line used
ADDED: In advanced panel possibility to add custom commands 
FIXED: In multires box both audio tracks size are counted
FIXED: In multires box will be displayed only video size (not audio or sub added)
0.41
ADDED: AVI mux
FIXED: Better avi support (not allowed option is no more visible)
FIXED: Mp4 mux with xvid codec
0.42
ADDED: PAR value is passed to MP4Box 
FIXED: Muxing into MP4 container when XivD codec was choosen
FIXED: Prepare phase only was broken with AVI container
FIXED: Color matrix use was not correct when Force Film is applyed
FIXED: Start Queue button is avaiable only if job is queued
FIXED: Spelling error in log file
0.43
ADDED: More debug information in log file
ADDED: Log is now reporting size of final video only
ADDED: Low is now reporting size of audio files
FIXED: Use of Qmf
FIXED: Fullbatch was missing of encoding paramters when xvid is selected and PPO mode activate
FIXED: "Film" type wasn't correctly deinterlaced
FIXED: Mux string for avi container was missing in log file
FIXED: Opendml is activated when single media size is over 2gb (and not when sum of media size is over 2gb)
0.44 Full Package 23/10/2006
ADDED: Selection of PGC (used for subs)
ADDED: Is possible to encrust/burn in movie the sub
FIXED: Sub file will be rename base on movie name
FIXED: (again): Colormatrix usage
FIXED: Audio size calculation for second audio track
0.45
FIXED: Removed case of colormatrix that I HAVEN'T TESTED BECAUSE I HAVEN'T THE CORRECT SOURCE MATERIAL !
0.47
ADDED: Shutdown at end of encoding
ADDED: Is possible to specify input file on command line
ADDED: Fixcrc silence on mpa audio file (could be a temporary fix)
ADDED: Drag&drop on input string
FIXED: In log window is present an horizontal bar, is also possible to write notes
FIXED: Check DVD Drive
FIXED: Avs input file. NO filter and NO resize is applyed on this files
0.48
ADDED: Force ITU resizing
ADDED: Support for episodic dvd (adv. setting). if you check this, only the pointed ifo of an already dvd ripped, will processed . And check this BEFORE pointing to ifo (beta)
ADDED: Anamorphic encoding (beta till i don't full understend what "anamorphic" mean)
FIXED: Audio bitrate is now editable
FIXED: AutoMKV will be launched at normal priority
0.49
ADDED: Autoresize in XviD is based (as X264) on CQ
ADDED: Possibility to add a last line to avs script
ADDED: Default value now save "Delete temporary files", "Encrust/Burn Subtitles", "Enable Shutdown", "Episodic DVD", "Force ITU Resizing", "Anamorphic Encoding"
FIXED: Ripping from installation folder with space
FIXED: Shutdown will ask to confirm or after 30 the pc will be shutting down
0.50
ADDED: sub size to log file
FIXED: Lame encoding for second audio track
FIXED: better support for process.exe, no process.exe flash up more
FIXED: On avi source, copy original audio is no more allowed
ADDED: "last line avs script" to save default
ADDED: Log save both audio avs/batch files
ADDED: Is now possible to select what CQM use in XivD
ADDED: A simple command line support. Create your setting (video codec, container , media size..)(use "Save Default")
 and give it a personalized name (es. 24hour.ini) create .bat file (within AutoMKV directory) with this 
Code: AutoMKV050d.exe 24hour.ini "C:\path\to\24h\test1.vob" 2 2 1 0 start
The "2 2 1 0 start" mean: 
2 on first audio track choose second audio present
2 on second audio track choose second audio present
1 on first sub track choose first sub
0 on second sub track choose NONE to sub
start ... mmm ...let's start encoding ?
ADDED: language translate support. After choosing language (on advanced settings), click on save default and restart AutoMKV.
Use automkv.ita as reference. Name the language file to automkv.XXX where XXX is the ISO639-2 code of nation (better, look on advanced settings the code of your language)
ADDED: more accurate crf size prediction with conditional 2nd pass for automatic correction of oversize, undersize. Many high quality encodes will take just 1 pass. The conditional 2nd pass is only activated if size exceeds user set min/max values
0.50e
FIXED: KB/MB/TB or whatever... now only simple bytes!
ADDED: Missing tooltips
FIXED: Allowed Undersize and Oversize are express by % value. Default value are 5% of undersize and 1% of oversize
FIXED: AutoMKV will now close pop-up again when batch is ended (OR PREFER TO END IT ???) (thanks to fogbav for bug report)
FIXED: On cmd launch on no audio file (like m2v) and NO audio is precified to use AutoMKV will not ask for audio file (thanks to fogbav for bug report)
0.50f
ADDED: Command line help, from dos box write AutoMKV.exe /? or ?
FIXED: Bad AR on automatic crf autoresize
0.51
ADDED: Check for read only destination folder
ADDED: Possibility to force AR in muxing
ADDED: Better log
ADDED: Mkvtoolnix 1.8.0+fixing 
ADDED: CQ profile for XviD
FIXED: Rewritten all xvid profiles, for better compatibilty.
XviD_CQ.xml -> for constant quality encoding 
XviD_Extra_Slow.xml -> For extra compression and quality. Very Slow profile, two pass encoding
XviD_Fast.xml -> Fast, but good quality encoding. One pass encoding
XviD_Fastest.xml -> Fastest, not so good quality, but damned fast. One pass encoding
XviD_Normal.xml -> Good trade-off between time and quality. Two pass quality
Xvid_SAP.xml -> Similar to Normal profile. Tuned for Stand Alone Player compatibility. Two pass encoding
XviD_Slow.xml -> For very good compression. A little slower than normal profile. Two pass endoding
FIXED: Command line launcher with MP4 and XviD
FIXED: No more "retry" on audio create. Now AutoMKV will check for number of audio channles and if isn't possible to apply downmixing selected audio will be processed at full original audio channels
FIXED: Several tuning in X264 CRF profile
0.51a
FIXED: XviD CQ profile now read the value of CQ from profile
FIXED: Renamed audio codec "Winamp CCT" to "Coding Tech. AAC" (thanks to SMD for suggesting)
FIXED: In log the final muxed size of AVI+XviD wasn't reported
FIXED: Save default with new XviD profiles was broken (thanks to weaver4 for reporting)
ADDED: In log file is now reported if cor CQ/CRF profile, the media size is unlimited or fixed
0.51c
FIXED: In ts files, audio and video pid greater then 1000 were not processed (thanks to travisbell)
FIXED: Using NONE as resizer and AUTO deinterlacer on interlaced files... (thanks to fobgav)
FIXED: Loading AutoMKV using a template with XviD CQ will not put the correct CQ value (from profile if CQ or 2.5 fo other template) 
ADDED: More resizer (maybe too tecnical now... as always i am open to suggestion)
0.51d
FIXED: ADDED: a workaround to fix autodeinterlacer routines
0.52 Full Package 01/12/2006
FIXED: Non idle process xvid_encrow in second pass
FIXED: "Final muxed size" for avi container desn't appear
FIXED: Occasional crash on xvid 2 pass mode
FIXED: XviD CQ mode encoding, changed bframe bias 
FIXED: Rare combination that will lead to bad movie.avs when NO RESIZE, NO DEINT, NO FILTERS and NO COLORMATRIX is applyed
FIXED: Subripping with angles (? beta)
ADDED: AutoMKV now do its works creating a "temp" directory in destination folder. In this folder are created all temporay files, the muxed final ones will be in normal destination folder, with the log
ADDED: "All Audio Tracks" for ifo input
ADDED: ProjectX support for TS files, check in advanced settings
ADDED: Slighty changed the command line parameters (try from dos AutoMKV.exe /? ), the first audio parameters can be now, or number of audio tracks or "all" (without quotes "") for encoding all audio tracks
ADDED: Support for dvr-ms (? beta)
ADDED: Total encoding time in log file
UPDATE: Oggenc 2.8.3, CCT AAC, Matroska 1.8.1, TDeint, TIVTC
0.52a
FIXED: AutoMKV will kill itself if looping on unrecognized avi (thanks to DarkZell666)
FIXED: Several bugs when muxing without audio files (thanks to SeeMoreDigital)
FIXED: No ar is given when muxing dvr-ms files (thanks to DDogg)
FIXED: On dvd input the "DVDFabDecrypter_Temp" wasn't deleted (thanks to crashed)
0.52b
FIXED: Cct encoding bitrate
ADDED: Support for lame bitrate (value over 10 is taken as bitrate)
FIXED: 2 pass encoding with xvid in path with space in name
0.62 Full Package 07/12/2006
FIXED: Command line use (broken with 0.52b)
FIXED: Muxing into mp4
FIXED: Some bugs on temp locked (not all locks is fixed)
ADDED: When save settings is clicked (and input source is valorized) AutoMKV will memorize latest directory of input
ADDED: Save Settings now save custom matrix selected
ADDED: Support to WVC1 (Microsoft VC1 implementation, http://www.microsoft.com/windows/windowsmedia/howto/articles/codecadvancedsettings.aspx)
reference: http://forum.doom9.org/showthread.php?t=112634 )
troubleshotting install support thread: http://forum.doom9.org/showthread.php?t=118996
profile support thread: http://forum.doom9.org/showthread.php?t=119084
ADDED: support for WMV8 (much quicker, a good tradeoff between quality and speed, more tuned for speed)
UPDATE: TIVTC to rc10, this will fix all bautodeint issue
UPDATE: WMV Profile to 1.3
NOTE: while i have ADDED: support for 5.1ch on wmv i cannot test it since it always crash... sorry. i hope for input
0.62a
FIXED: Removed framerate from cmd of wmv ... could cause problem with ivtc files
0.62b
FIXED: CQ profiles with XviD when hitting Hit Media Size. PUT xvid_encraw.exe and aviwriter.dll (squid_80 build) into \exe\encoder folder BUT rename the xvid_encraw.exe of squid_80 to xvid_encraw2.exe
FIXED: Use this profile will not fuction with XviD profiles
FIXED: ProjectX sometime demux to .m2p not to m2v...
0.62c
ADDED: Is now possible to deny the use of DelayCut (advanced setting), default value is to use
ADDED: Save of delaycut in Save Settings
FIXED: Muxing more that one audio into mp4
FIXED: One possible crash on wmv when audio is multichannel
0.62d
FIXED: Wrong ar when muxing avi into mkv container
FIXED: No more use of process.exe ! AutoMkv can change priority of running program itself
ADDED: If ts files contain more then 1 video stream, AutoMKV will ask to choose that pid. Not use ProjectX in conjuction with this ts
FIXED: Better layout in Advanced Settigns
ADDED: Use custom X.ini file for projectX (launch projectX.jar, customize to your taste, save the default to X.ini into Dgindex folder)
ADDED: Use custom X.ini ADDED: to Save Default settings
FIXED: Subtitles on no angle dvd (beta)
FIXED: jap->jpn in audio tracks
0.63 Full Package 23/12/2006
ADDED: If final muxed file already exist in destination directory, the new file name will be based on time of muxing (suggest of Barleyman)
ADDED: If MP4 container is selected and muxing audio is ac3 the program will, at end of encoding, prompt an error and quit, without removing the temp directory (suggest of Nico.Laus.2001)
ADDED: In advanced Settings is possible to force value '-par' to command line of XviD. On AUTO no par is feeded to command line (suggest of vOjToL)
ADDED: Is now possible to choose shutdown mode (StayOn/Shutdown/LogOff/Reboot) (suggest of vOjToL)
ADDED: Added filter Spresso and SeeSaw 
ADDED: Several new Tips!
FIXED: Some glitch on Advanced Settings layout
FIXED: Queue with multiple audio selected (thanks to BleedingGums)
FIXED: Muxing in avi container when no audio is selected (thanks to weaver4)
FIXED: Several bugs on work with Queue and command line
FIXED: Deinterlacer routines use the field order to determine best deinterlacer
FIXED: Movie name now accept even capital letters (thanks to vOjToL)
FIXED: When using Queue AutoMKV will not more ask again audio files for m2v input files (thanks to Nico.Laus.2001)
FIXED: Correct order of audio tracks when input is mpeg. This one was nasty and ugly resolve (thanks to Barleyman)
FIXED: If Lame encoder is selected audio will be, when needed, downmixed to Stereo (thanks to Nico.Laus.2001)
FIXED: Number of threads on x264 encoding will be NUMBER_OF_PROCESSORS * 1.5 (on HT machine is already 2)
UPDATE: Italian translation
UPDATE: DOC folder removed. Please read the License.txt file for information regarding AutoMKV license and other bundled software licenses
UPDATE: X264.exe to 614, TIVTC to v1.0 RC11, Dgindex to 1.4.7 b9
0.63a
FIXED: bad parsing of ifo file
0.63e
FIXED: Queue with avs files was taking only last audio files (thanks to vOjToL)
FIXED: mux avi into mp4 (thanks to FogBav)
0.63f
FIXED: On avs/m2v/d2v the first audio selected is then used (thanks to ehushagen)
ADDED: PayPal button, feel free to ignore
ADDED: If audio encoding goes bad AutoMKV will ask to continue or quit (beta, suggest from AMED)
0.63g
ADDED: "Don't care about size" in size list, selecting this preset the profile (xvid or x264) will switch to quality encoding (suggestion by ottar)
FIXED: Using Queue more time without restarting AutoMKV (thanks to vOjToL)
FIXED: Border in no more resizable (thanks to ottar)
0.63h XMas Edition
FIXED: Mispelled "espisodic dvd" (thanks to ottar)
FIXED: Unknow language ???, would be translated to "und" (thanks to ottar)
ADDED: Added "AutoCrop Only" to width list
0.63j
FIXED: Command line broken (wrong path) on ts files using ProjectX
0.63l
ADDED: Button to Clear Log Window
ADDED: Possibility to activate High Quality Deinterlacer (slow!)
ADDED: PayPal LOGO !
ADDED: Custom Bat in audio codec. read http://forum.doom9.org/showthread.php?p=921713#post921713
FIXED: Command line broken with m2v files
FIXED: More robust detection of pid on ts files
FIXED: Detection of more then one mpeg audio files within ts files
0.64
ADDED: Save default now save name of final muxed file
ADDED: in command line input is now possibility to specify audio external (woking with m2v or d2v files)
es: AutoMKV.exe automkv.ini "c:\temp\_aaa.d2v" "c:\temp\_aaa.ac3" 0 0 0 start wait
ADDED: Totally reworked queued sections, now is similar to VirtualDub Queue. For every work queued AutoMKV will produce an QueueXXX.ini file, where XXX is the number of job
When user click start Queue all queued job (not necessary all queueXXX.ini files) will be processed, and the corrisponding queueXXX.ini file deleted.
When AutoMKV start it will check for those queueXXX.ini files and if found will ask to process. In this way we have a permanently Queue ! 
Those change are early beta (i am at home with the flu...) , i have done much test but never as yours 
0.64a
UPDATE: Italian translation
ADDED: -framerate to xvid_encraw command line
FIXED: lot's of bugs in Queue mode
FIXED: is now possible to delete single job
0.64b
FIXED: AviMux_Gui now work properly without audio to mux
ADDED: Support for DivXMuX. Select Avi container and in advanced settings check use DivXMux
0.64c
FIXED: When adding files to Queue now is saved "Hit Media Size/Go Unlimited" (thanks to weaver4)
0.65
ADDED: Icon to message warning (very hard work... ;) )
ADDED: Some new tooltips
ADDED: In log is now written command line used (if used)
ADDED: In log final file name
FIXED: When using Queue or command line now AutoMKV don't hide itself. PLEASE , pay attention! On Queue mode/command line, AutoMKV will feed its list/combobox/check with varius paramenters... DON'T TOUCH IT, just read the log window or simply watch the first tab
FIXED: PAR usage, default is NONE
FIXED: In Queue mode the manual crop was applyed to all encoding
FIXED: Better log
UPDATE: Italian translation
0.66 Full Package 02/01/2007
ADDED: Beta support to encoding for PSP (select X264 and PSP profile)
ADDED: Beta support to encoding for Zune (select WMV and Zune profile)
ADDED: Profile now is specified the width. If value is set to not to false the width is set to this value
ADDED: Level to X264.exe command line
ADDED: Parsed from x264 profile the "--no-ssim" options
FIXED: Now "Del temporary file" is unchecked by default (for better debugging)
UPDATE: X264 profile's to latest of SharkTooth. Isn't exactly the same because i added some more tweaks
0.66a
FIXED: in Queue view the value reported is now the same value viewed (not ones used internal...)
FIXED: Audio "SUO" translated to "FIN" (thanks to Barleyman)
FIXED: When encoding with XviD the stream will be avi for avi muxing, m4v for mp4 mux and mkv for mkv muxing
FIXED: CQ encoding with XviD
FIXED: In Queue/Save Settings is now saved even the crf/cq values(thanks to Amed)
FIXED: Internal name of XviD Profiles
FIXED: In avi source added a interlaced=true (thanks to Markoul)
0.66b
ADDED: Totaly reworked audio sections, click on Don't touch button near channel selection
ADDED: Several and more audio options
ADDED: New audio section to Queue
FIXED: Some bugs on muxing tag (also added some)
0.66c
ADDED: Save Log button
FIXED: When manual crop is checked all values is now valorized, change it. Also the width is disabled
FIXED: Use Advanced Audio with Nero encoder while using preset to quality
FIXED: Some imprecisions on log
0.67 Full Package 10/01/2007
ADDED: Audio Track name (from Advanced Audio Options) added to MP4 muxing 
ADDED: MovieName to --track-name in Matroska container
ADDED: Support for MP4 file as input. Select it on All files. This mp4 file must have only one audio track (anyway only the first audio track will be processed)
ADDED: Two new Zune Profiles, 2 Pass Quick and 1 Pass Quick. These profiles work on wmv7 (suggestion by dlflannery)
FIXED: Renamed near all WMV profiles. Now there are basically a standard profile that work on wvc1, a quick profile that work on wmv9, a veryquick profile that work on wmv8 and a ultraquick that work on wmv7 encoder
FIXED: Zune profiles "Zune 1 Pass" and "Zune 2 Pass" now work on wmv8. There's no need to use wmv9 on so small video device (suggestion by dlflannery)
FIXED: Track ID and Track Name in Matroska container
FIXED: Clear job Queue don't delete all files (thanks to AMED)
FIXED: Double clicking on "Check DVD" will double the PGC list (thanks to cosmos)
FIXED: If "Force ITU Resize" is checked is no more possible to check "Anamorphic Encoding" (and vice versa) (thanks to cosmos)
FIXED: In Advanced audio the CBR settings for LAME wasn' true CBR... (thanks to TinTinFan)
UPDATE: Dgindex 1.4.9b9
UPDATE: Update XviD build to 20/12/2006
UPDATE: XviD_encraw.exe to latest one's of Squid_80
0.68 Full Package 12/01/2007
ADDED: Languages list to Advanced Audio Options
ADDED: On launch AutoMKV will display the Tip of the Day ! (i need mooooooore tips) please POST IT !!! (to disable just delete tips.txt)
ADDED: <altpass2> to XivD Profile parsing. If this value is present will be parsed and used (could be false/true). If not present will be false. 
ADDED: In log file manual crop value
FIXED: 48khz on Zune Profiles (thanks to by dlflannery)
FIXED: Max Audio bitrate capped at 192 for Zune Profiles (thanks to by dlflannery)
FIXED: Audio track name wasn't enclosed in "" (thanks to cosmos)
FIXED: Manual crop and interlaced source. (thanks to Nemesis7)
UPDATE: Downgraded DgIndex to 1.4.7 beta 7 (incompatibility with TFM)
0.70
ADDED: In Advanced Setting "Use DirectShowSource", check this before loading your files. Using this option AutoMKV will process both audio and video with directshowsource plugin
ADDED: On choosing input file the movie name will change as input file name (suggestion by dlflannery)
ADDED: On WMV container added the YEAR and TITLE, taken from current year and current final movie name (suggestion by dlflannery)
ADDED: Possibility to specify "Title" in MKV container, set it on Advanced Audio Settings (suggestion by cosmos)
ADDED: Deinterlacer routines now are comprensive of presets (AUTO, NONE, Progressive, Interlaced, Decimating, Film, Partly Film, Partly Interlaced)
ADDED: Possibility to specify field order (AUTO/BFF/TFF/HYBRID)
FIXED: Disabled Tips... till i have more... :(
FIXED: Several improvement to WMV encoding. Now should working with input files as ts, d2v, m2v (not with avs)
FIXED: Shutdown in Queue mode (thanks to cosmos)
FIXED: Shutdown would previusly only LogOff (thanks to cosmos)
FIXED: Mpeg4 to WMV was broken for audio encoding (thanks to jmnk)
0.70a
FIXED: On avi/mkv/ogm or whenever is needed directshowsource , the audio encoding NO MORE LOOK AT CHANNELS downmixing. please USE FFDSHOW/AC3Filter to downmix!
ADDED: Leave Interlaced ... but please select field order..., now is applyed only to XviD, when --interlaced will be fuctional in x264 i will add to it (suggestion by SMD)
0.70b
FIXED: removed audio=getchannel(audio,1,2) from wmv encoding...
0.70c
FIXED: If "Film" or "Partly Film" is selected then no analysis is performed against Forced Film (es. if in d2v film >=97% Force Film is applyed, but if i select "Film" or "Partial Film" preset under Deinterlacer no Force film is applyed on d2v, but (for "FILM") tfm(d2v="movie.d2v").tdecimate() )
FIXED: Audio now use channels downmixing options (even from avi)
FIXED: Avisource and DirectShowSource. First mode is AviSource is this is failing AutoMKV will swith to DirectShowSource
FIXED: More robust wmv encoding when input is mpeg4
0.70d
FIXED: Removed Normalize from WMV encoding. Seems lead to wrong encoding (thanks to dlflannery)
0.70e
FIXED: Drag&Drop use (thanks to vOjToL)
FIXED: Default WMV profile is now 2_Pass_VBR_Quick
FIXED: Change audio bitrate writing directly into free string would cause a non correct wmv audio encoding parameter
FIXED: On load of saved settings the destination directory no more change accordling to input file directory (thanks to weaver4)
0.71
FIXED: Previusly on WMV encoding if user specified the bitrate video this value was used as total bitrate (audio+video bitrate) this is misleading. Now if user check Specify Bitrate the value is used only for video. (suggestion by dlflannery)
FIXED: On WMV encoding if destination file exists AutoMKV will not overwrite, just rename the new file based on date (thanks to dlflannery)
FIXED: Splitting wasn't fuctional (and nobody reported it...)
0.72 Full Package 22/01/2007
ADDED: ColorMatrix to 2.1, now using threads parameter. Please report back any problems
ADDED: Lot's of new QMFs made by WhOiS (a very big thanks)
ADDED: Loading QMF is now very different. Put your AVS with fuctions (and import of avsi) and the avsi in the \exe\Script folder
ADDED: In advanced audio setting is now possible to specify audio channel and audio format for wmv video, use only if you know what doing
UPDATE: DgIndex to 1.4.9 beta 12
UPDATE: Matroska to 2.0.0
UPDATE: TIVTC to rel 1.0
UPDATE: X264 to 620
UPDATE: TDeint to 1.1
0.72b 30/01/2007
ADDED: If Autoresize is enabled (and codec is XviD) AutoMKV will change the number of bframes and Quantitizer Ratio based on autoresize settings (only if autoresize will lead to very big width)
ADDED: If deint is set to Leave Interlaced with x264.exe is added --interlaced
ADDED: In X264 profiles added <interlaced>false</interlaced>. If this value is set to true then --interlaced will be added, if this value is false and deint is not "Leave Interlaced" no --interlaced will be add (these <interlaced> will be added in next full package)
ADDED: If Matrix selected is AUTO (and codec is XviD) this will trigger Adaptive Custom Matrix choice (will be triggered only by very high compression test (>100))
FIXED: RemoveGrain(mode=2) is again the default denoiser
FIXED: Queuing mpeg files and avi could bring to freeze of AutoMKV
FIXED: Muxing into AVI without audio
FIXED: Remove autodetection of force film. Now i let do to BDautodeint detect FILM type
FIXED: Encoding avi files with no audio in wmv container was broken (thanks to rjcobain)
FIXED: On WMV encoding the file wasn't always correctly moved on destination folder
FIXED: Changed default quality for autoresize with WMV is now 85
0.74 Full Package 09/02/2007
ADDED: In Advanced settings two HVS_AQ string (take from http://forum.doom9.org/showthread.php?t=114811 )
ADDED: Sanity ceck before deleting \temp direcory. if this is a root directory isn't deleted. NOTE: IT IS IMPOSSIBLE THAT AUTOMKV WILL WORK ON A ROOT DIRECTORY SINCE IT CREATES THE \TEMP DIRECTORY!!! (suggestion by mael)
ADDED: Possibility to specify quality. This value overrides encoding mode, all encoding will be done in 1 pass (or 1 pass for autoresize + 1 pass for encoding). AutoMKV will take all values from selected profile's but will do a CQ encoding. Not saved in Queue mode. (suggestion by dlflannery). NOTE THE CURVE OF QUANT IS TO TUNE. FEEL FREE TO SUGGESTS
ADDED: Possibility to load external Subtitle file.
ADDED: On main window a status line. Here i reported AutoMKV works, tips, and more. It's very incomplete, please feel obligated to suggest more display (suggestion by mael)
ADDED: In advanced setting possibility to save and load customizable settings (suggestion by DDogg)
ADDED: BicubicResize with default value, FastBilinearResize, Spline36Resize http://forum.doom9.org/showthread.php?t=112594
FIXED: If Nero AAC isn't present AutoMKV will now switch to CCT AAC, for better compatibility pourpose, also the bitrate will be corrected
FIXED: If selected CCT AAC audio encoder the audio was encoded two times
FIXED: Long path. When encoding string is over 530 characters dos cannot understand the command line. Now i will launch directly the exe with the parameters, this should fix the problem (thanks to karasu)
FIXED: If <BframePredictionMode> if 0 then --direct none is applyed to x264 command line (suggestion by DDogg) (and fyi 1=--direct spatial , 2=--direct temporal , 3=--direct auto)
FIXED: Some tuning to Auto Matrix choice
FIXED: Sometimes AviMux_GUI not use values written in muxavi but old setting in config.ini.amg file. Now i will change this file every time before muxing. (thanks to DDogg)
FIXED: Switching from Queue to standard mode will break the shutdown fuction (thanks to cosmos)
FIXED: If subtitles weren't correctly extract the muxing will not break but will mux without subtitles (thanks to papsi)
FIXED: AutoMKV is now working on 120 DPI monitor (or i hope so)
FIXED: Now when selecting on Advanced audio setting ABR or CBR for Lame, the bitrate displayed is correct
FIXED: No pop-up after selecting media file (not on ifo). Now bbsummary starts hidden
FIXED: Using CCT AAC encoder AutoMKV will switch to --lc profile if bitrate is over 128
FIXED: Added a sanity check that even on ifo input if dgindex don't demux selected audio tracks it will restart in demux all tracks mode (thanks to Schotenhüter)
FIXED: When using XviD and movie is FILM/Decimating, AutoMKV will pass correct framerate to xvid_encraw (thanks to dyne)
FIXED: If user select the deinteralcer BUT not the Order, AutoMKV will use Hybrid Order.
UPDATE: CCT AAC audio encoder
UPDATE: DgIndex to 1.4.9 beta 13
0.74a 09/02/2007
FIXED: corrected the TST debug message , removed another debug message..
0.74c 10/02/2007
ADDED: First or Second pass is now displayed in status list (thanks to BleedingGums) ANYONE FEEL FREE TO SUGGEST OTHER MESSAGE TO DISPLAY !!!
ADDED: Information table from SMD (the ? button in advanced audio setting) (table given by SeeMoreDigital)
FIXED: typos.. (thanks to BleedingGums)
FIXED: When configuration with manual cropping and resizing is loaded, "Set width resolution" in basic settings tab is now greyed out. (thanks to DDogg)
FIXED: The profile being used when the configuration is saved is now included in the saved ini file. (thanks to DDogg)
0.74d 11/02/2007
FIXED: On ts files , selecting "All audio tracks" and not checking projectx , dgindex will try its best :) (thanks to travisbell)
0.74e 12/02/2007
FIXED: the modify of "no pop-up" for bbsummary lead to check all frames (thanks to jeffy and travisbell)
0.74f
ADDED: Two new Zune Profiles, based on wmv9 encoding (suggestion by dlflannery)
ADDED: Mode 4 for WMV endoing (look into WMCmd.vbs)
ADDED: Support for Audio encoding (only audio files, like audio.ac3 to audio.ogg)
FIXED: When muxing in AVI, AutoMKV will force MP3 CBR muxing if CBR is selected on Advanced Audio Setting
FIXED: Some tuning in log files
FIXED: Several bugs on Zune Profiles. A big thanks to dlflannery for his tests
FIXED: Ipod 5.5G profile
FIXED: some weird behavior of x264 CRF profiles (thanks to Mike Farmwald)
0.75 18/02/2007
ADDED: Two new Zune Profiles, based on wmv9 encoding (suggestion by dlflannery)
ADDED: Mode 4 for WMV endoing (2 pass peak bitrate)
ADDED: Support for Audio encoding (only audio files, like audio.ac3 to audio.ogg)
ADDED: Mono to WMV audio channels (suggestion by dlflannery)
FIXED: When muxing in AVI, AutoMKV will force MP3 CBR muxing if CBR is selected on Advanced Audio Setting
FIXED: Some tuning in log files
FIXED: Several bugs on Zune Profiles. A big thanks to dlflannery for his tests
FIXED: Ipod 5.5G profile
FIXED: Renamed all X264 profiles
FIXED: Some weird behavior of x264 CRF profiles (thanks to Mike Farmwald)
FIXED: Some new layout on gui, as ALWAYS a big thanks to SeeMoreDigital 
0.76 26/02/2007 Full Package
ADDED: Manual !!! and wiki http://automkv.wiki-site.com/index.php/Main_Page
ADDED: Some logos to codec and container :)
ADDED: DVD Drive will enumerate only the phisical device attached (thanks to glynor)
ADDED: Link to Wiki page
ADDED: Now is possible to Queue works while use Specify Quality (suggestion by bhh)
ADDED: Is now possible to force manual crop AND manual width without specify the resizers. (suggestion by Bowo)
FIXED: If user load a source file by dragging it into Select Input File, the Movie Name (for output) does not update like it does if I load by browsing. (thanks to dlflannery)
FIXED: When select "don't care about size", the X264/XviD encoding goes erroneusly to profile defaults to CQ_ASP_Q2_eq(crf).xml (thanks to vgiozo and Huerta)
FIXED: ON avi muxing RECLIST is used only for Disk Settings over 2048MB (thanks to connex)
FIXED: Convolution3d (preset="animeBQ") is BAD QUALITY not BEST QUALITY...(thanks to wizboy11)
FIXED: If files isn't a TS (or family) files, the Use ProjectX and Use custom X.ini are disabled (suggestion by Shark_jlc)
FIXED: It's now possible to encode the same audio track with Copy Original and any other codec (Copy Original in first box, Lame in second... as example) (or Lame and Ogg...) (thanks to glynor) 
FIXED: Removed pop-up from audio encoding, deinteralce test, and movielenght (remain autoresize and final encoding)
FIXED: DLP to DPL ... typos (thanks to glynor)
FIXED: When selecting -CBR or -CR in Advanced audio settings, for Nero AAC Enc, the bitrate will be displayed correctly (thanks to vgiozo)
FIXED: When selecting Don't care about size the X264 profile was not correctly set
UPDATE: Tivtc to 1.0.1, downgraded DgIndex to 1.4.9 beta 12, MKVMerge 2.0.2
0.77 28/02/2007
ADDED: Is now possible to specify to Use DirectShowSource for AUDIO. This could be very handy when processing corrupted audio or audio that wouldn't possible to encode with normal procedure.
0.78 Full Package 13/03/2007
ADDED: Is now possible to specify AVS input in AUDIO (suggestion by dlflannery)
	Build your avs inputs as these examples: 
	for Videoinput.avs: 
	[CODE]directshowsource("C:\apps\_test files\movie.avi",audio=false)+directshowsource("C:\apps\_test files\movie.avi",audio=false)[/CODE]
	for Audioinput.avs
	[CODE]directshowsource("C:\apps\_test files\movie.avi",video=false)+directshowsource("C:\apps\_test files\movie.avi",video=false)[/CODE]
ADDED: --deadzone-inter and --deadzone-intra support to x264 profiles, change "false" to value you want (like 4)
ADDED: Process this PGC option
ADDED: PGC ripping. Only on ifo input (or dvd input) will be possible to select the specific PGC to process. Example, the vts_02_0.ifo contain 3 pgc , 3 episodes, before selecting input check both process this ifo and process this pgc. After selecting input select from the drop down list the pgc you want to process (correct subtitles ripping isn't guarantee)
ADDED: In XviD profiles added a new option <muxing> (if used only for avi container). This option can be valorized as: <muxing>auto</muxing> or <muxing>avi10</muxing> or <muxing>opendml</muxing>. On auto will be AutoMKV to select the better muxing, on avi10 will be forced the AVI 1.0 mux, on opendml will be forced OpenDML muxing
ADDED: To Queue and to save settings the pgc check
ADDED: On "Audio wasn't encoded properly" now AutoMKV will ask for continue or quit. The question is "timed", so after 120 seconds AutoMKV will continue, even if the muxing would be broken
ADDED: "Use DirectShowSource for Audio" to Save Setting and Queue
ADDED: Preset PAR to WMV encoding, the value of <pixelratio> could be 
	10:11 for DV NTSC fullscreen 
	40:30 for DV NTSC widescreen 40:33
	12:11 for DV PAL fullscreen 12:11
	16:11 for DV PAL widescreen 16:11
ADDED: AutoMKV will check for NeroAACEnc presence and if not found will offer the possibility to download (will simply start default browser on official Nero Digital Audio page)
ADDED: Command line help will be invoked even by -? (suggestion by Demeragon) (and by "/?" "?" "--?" "-help" "--help")
ADDED: Support for SoundOut. BePipe will be no more used. No more need of .NET Framework. Look at http://forum.doom9.org/showthread.php?t=120025
ADDED: SoundOut need that libsndfile-1.dll is in program path. On first start AutoMKV will ask to copy into c:\windows\system32 . Click YES button or Audio would be not encoded
ADDED: AutoMKV will save for every job its xml profile, so will be possible to "Use this profile" with queue. I hope to not break anything...
ADDED: "Original" in WIDTH selection. If selected "Original" the resizer will switch to NONE
FIXED: MP3 will support only official preset bitrate: 32, 40, 48, 56, 64, 80, 96, 112, 128, 160, 192, 224, 256, 320, also removed quality encoding, will remain ABR (default) and CBR encoding
FIXED: Coding Tech. AAC will be able to encode only up to 2ch (DPL II, DPL, Stereo, Mono). For encoding with AAC audio up to 5.1 Channel use Nero AAC Audio encoder
FIXED: ColorMatrix thread will be set to number of CPU*1.5. ColorMatrix will be faster.
FIXED: Episodic DVD/IFO and Process this PGC is avaiable only with ifo/dvd input
FIXED: Episodic DVD/IFO is renamed to Process this IFO
FIXED: AutoMKV, as reported in log will move original audio file to audio.XXX in \temp directory. Now it will copy this file (suggestion by dlflannery)
FIXED: When selecting on audio Copy Original the channel downmixing mode is disabled
FIXED: There are several refer to "ACC" audio instead of "AAC" audio (thanks to Demeragon)
FIXED: XviD threads will be set to automatic detection (suggestion by Demeragon)
FIXED: Several improvment to only audio encoding
FIXED: When encoding to WMV and movie is "Partly Film" then no more is used "Hybrid Decimating" but classical decimating (suggestion by Shark_jlc)
FIXED: AutoMKV will double count the size of audio on TS files (thanks to Prospero424)
FIXED: Better ToolTip for "Adjust CRF Profile". This option is to use only in conjuction with CRF profile and HIT MEDIA SIZE
FIXED: More robust use of XviD CQ profile and Hit Media Size
UPDATE: X264 to 628
0.78a 14/03/2007
FIXED: Error on win2k, not having windows\system (thanks to BleedingGums)
FIXED: Normalize process now use the aacgain.exe, mp3gain.exe, VorbisGain.exe
0.78b 15/03/2007
ADDED: If NicAudio is unable to process the file, AutoMKV will switch to DirectShowSource
FIXED: More tweak to SoundOut. Now is even more quicker! (thanks to tebasuna51)
FIXED: Some problem on wmv encoding (???)
0.78c 16/03/2007
FIXED: AACgain doesn't work proprely on AAC/MP4 done by Coding Tech. AAC, apply an AmplifydB(7) to audio script
FIXED: Some bugs on AVS input (thanks to dlflannery)
0.79 19/03/2007 Full Package
ADDED: In next update if a file named "noneroAacEnc.here" is present in \exe\besweet folder , AutoMKV will not ask to download
ADDED: AVS in audio input file
FIXED: Clip warning (thanks to nx6)
FIXED: When working with queue the Start Encoding button is now disabled (suggestion by Shark_jlc)
FIXED: Audio Loop when working with avs audio file (thanks to dlflannery and weaver4)
FIXED: Aacgain is unable to normalize HE_AAC/SBR files ( done with NeroAACEnc NOT in quality mode). Added an AmplifydB(7) to audio script
0.79a 19/03/2007
FIXED: aqtcplx value
0.80 Full Package 29/03/2007
ADDED: MediaInfo. AutoMKV will use it as last resort to analyse input file
ADDED: New WMCmd.vbs. More stable and robust
ADDED: In Log file the AR reported by DgIndex
ADDED: WMV WVC1 preset based on Zambelli post http://forum.doom9.org/showthread.php?t=123812 , these preset are 2 pass encoding (Preset_Fast_WVC1.xml, Preset_Good_WVC1.xml, Preset_Better_WVC1.xml, Preset_Best_WVC1.xml, Prest_Insane_WVC1.xml)
ADDED: Normalize() to audio avs file. On my pc (p4 2.8ghz 1gb ram) took 10 minutes to analyze film like Matrix before start encoding, wait and go to drink a tea.
ADDED: FFmpeg.exe as encoder. If xvid_encraw/x264/wmcmd isn't able to process input file (not on dvd input) ffmpeg will try to encode to desidered codec/container/width (not autocrop sorry...). Manual crop will be parsed and applyed
ADDED: Multi Encoder!. If a file named "flv" or "msmpeg4v2" or "mpeg2video" or "rv10" is present in AutoMKV folder then AutoMKV will be force to used ffmpeg.exe to these format. (not woriking on dvd or avs input)
ADDED: VirtualDub (1.7.1) as launcher of SoundOut plugin. More support to "strange" avs audio file
FIXED: MP4 was recognized as AUDIO. Now is Video
FIXED: XviD_CQ profile is now a true CQ. BQuantRatio is set to 1 (suggestion by weaver4)
FIXED: In X264 the -ref was applyed two times (thanks to Demeragon)
FIXED: New Audio setting for WMV (more compatible with new WMCmd.vbs)
FIXED: AACgain doesn't work for installation path with space (like c:\program files\AutoMKV\... ) (thanks to vgiozo)
FIXED: Some tuning to audio downmixing when using WMV
FIXED: Moved Force Mux AR to Muxing Options and Anamorphic Encoding to Aspect Ratio Options (suggestion by delacroixp)
FIXED: Some layout change to Log file
FIXED: Substituted RemoveGrain.dll to RemoveGrainS.dll (fix Athlon issue). If you have a more powerfull CPU delete this file and from http://home.arcor.de/kassandro/RemoveGrain/RemoveGrain.rar take the DLL version your CPU supports (RemoveGrainSSE2.dll or RemoveGrainSSE3.dll). Same job with RepairSSE2.dll or RepairSSE3.dll
FIXED: Some tuning to WMV bitrate calculator
FIXED: If profile is CRF or CQ, and user select Go Unlimited Size, the width is now set to "Original" (suggestion by nx6)
UPDATE: NicAudio to 2.0.0.2, DgIndex to 1.4.7 beta 17, X264 v635, ffmpeg.exe v8435
0.80a 31/03/2007
ADDED: FFmpeg.exe support to DV (create a file named "dv" in AutoMKV folder) (suggestion by dlflannery)
ADDED: FFmpeg.exe support to WMV7 (create a file named "wmv7" in AutoMKV folder) (suggestion by dlflannery)
ADDED: FFmpeg.exe support to WMV8 (create a file named "wmv8" in AutoMKV folder) (suggestion by dlflannery)
ADDED: FFmpeg.exe will control the manual specifyed bitrate (just write 500 for 500000 bitrate!) set in Advanced Settings (thanks to dlflannery)
ADDED: File created by FFmpeg.exe are moved to right folder at end of encoding (thanks to dlflannery)
FIXED: VirtualDub is now the default invoker of SoundOut in all code
FIXED: Moved Normalize() to last part of mkvmaudio.avs.It will be slower (15 minutes for analyzing the Matrix movie, against 10 before) but audio is louder
FIXED: Some improvment to ffmpeg encoding
0.80b 04/04/2007
ADDED: On start AutoMKV will warning if found a file named dv or msmpeg4v2 or mpeg2video or rv10 or flv or wmv8 or wmv7 are present.
ADDED: Is now possible to edit job and resave job. For re-save job don't use Add Job but Resave Job on Queue Panel
ADDED: Some bugs in queue mode
ADDED: Possibility to specify the Width&Height in Matroska muxing. In that case the AR is ignored (suggestion by delacroixp)
FIXED: The Specify bitrate on Advanced Options , in ffmpeg.exe encoding, is now used only as video bitrate (suggestion by dlflannery)
FIXED: An ugly bug that will not trigger normalize() if Advanced Audio Options were opened
FIXED: The double "Processing completed. Type is determined to be partly film" reported in log
FIXED: Autoresize on WMV will now consider audio size
FIXED: On WMV is now possible to feed normal audio file and avs audio file, no more need to include audio source in movie avs files
FIXED: More sanity check on WMV encoding
FIXED: Missing Second Audio track in queue mode (thanks to Glynor)
0.81 16/04/2007 Full Package
ADDED: GreyScale and Carton Mode to XviD (look on Advanced Profiles editing)
ADDED: Is now possible to encode audio file to WMA audio. Just select your wav/ac3/mp3... input file, select wmv container and WVC1 profile for WMAPro or Quick profile for WMASTD (like 1_Pass_CBR.xml from WMAPRO and 1_Pass_CBR_Quick.xml for WMASTD, or use Advanced Audio Options)
ADDED: In Advanced profile editing some avisynth check
			 No Colormatrix, MVDenoise, MVDegrain2 (suggestion by wizboy11)
ADDED: LimitedSharpenFaster as resizer the resize string is like Limitedsharpenfaster(smode=4,ss_x=1.25, ss_y=1.25, strength=150, overshoot=1,dest_x=out_width,dest_y=out_height)
ADDED: FFmpeg as muxer. Will be avaiable in Advanced Settings only when selecting avi container (suggestion by FrieWiled)
ADDED: Check Crop values button, it will control that values are MOD4 or MOD2 (suggestion by delacroixp)
ADDED: Removed some resizers and added some other. HybridFuPP is a combination of resizer and filters.
ADDED: External subtitles are now saved to queue.
			 Note: When working with MKV are possible to load more then one subtitles. Just browse for these files and select one at time. Every time you will click on ADD to Queue the external subtitles will be saved and reset (check opening the queueXXX.ini). Also remember that external subtitle are remembered between consecutive encoding, for freeing simply open the external sub window and click cancel without selection any file
ADDED: Is now possible to encode audio to WMA without muxing to WMV (so you can build x264+wma muxed in mkv) (alpha, to test). Remember also that actually that neither mkvmerge or mp4box can mux wma audio (yes... pretty useless features... ;) )
ADDED: Possibility to use custom PAR on X264
ADDED: Possibility to use custom PAR on XviD
ADDED: Sar option to X264 profiles (actually valorized only in in Ipod/QuickTime)
ADDED: On Ipod profiles (Ipod and Ipod 5.5) the width is proposed at 640
ADDED: Changed Mp4Box.exe with NicMp4Mux.exe. Same compatibility and support for Apple
ADDED: Changed FFmpeg.exe encoding. Now in Advanced Settigs is possible to select the encoding (also memorized on queue)
ADDED: FFmpeg.exe can now encode to mpeg4
ADDED: FFmpeg.exe can now encode to h264
FIXED: When encoding to FFmpeg.exe audio switch to mp3 lame (just for set correctly the audio bitrate)
FIXED: Using FFmpeg.exe to encode for "msmpeg4v2" wasn't correctly move the file to destination folder
FIXED: Changed in WMV9 profiles the audio codec to wmapro
FIXED: On WMV the Quality for Autoresize is now 90
FIXED: -v_percopt usage on WMV profiles
FIXED: Use of -v_mslevel with new WMCmd.vbs
FIXED: In Advanced Audio Options is now memorized (on job queueing) the language (thanks to nx6)
FIXED: Removed some unused code
FIXED: When encoding to WMV with no audio, the audio options isn't included in command string
FIXED: Revisited WMV profiles name
FIXED: Now WMV encoding will pre-process audio to WAV (2 channels) and then will feed this wav to WMcmd encoder
FIXED: Changed a little bit the calculation of WMV bitrate. Will be less prone to oversize
FIXED: Movie deinterlacer before autocrop (suggestion by Tobytl)
FIXED: When AutoCrop isn't needed isn't more added to avs
FIXED: Queuing the same subtitles more than one time cause a multiple quotes to appear and break the queue. (thanks to nx6)
FIXED: Process this IFO wasn't selectable before input choice
FIXED: X264 Ipod profiles (??? need testing)
UPDATE: Downgraded DGindex to 1.4.8 (should fix all problem with tivtc ), mvtools 1.6.2,HybridFuPP 0.96, WMCmd.vbs 14/04/2007, oggenc 2.8.3 lancer aoTuV b5 (SSE needed)
0.81a 17/04/2007
ADDED: Varius way of changing fps in Advanced Avisynth. Note all but MVFlowFps and MVFlowFps2 want fps expressed as "Numerator,Denominator". Note MVFlowFps and MVFlowFps2 have a fixed denominator of 100, so simply write 2500 for 25 fps
FIXED: The avs will not return clip if no resizer, no colormatrix , no deinterlacer and no filter used (thanks to nx6)
0.81b 19/04/2007
ADDED: More info about deinterlace in Log file
ADDED: On Advanced settings "Allow Hybrid Order/Pattern". If NOT allowed the "partly film", "partly interlaced", "Hybrid Order" will switch to "Film", "Interlaced" and majority order (bff/tff). This check is added because these kind of file aren't common but on short source the auto-detection could fail an so will set these value. If you know that your source belong to anime or bad NTSC tranfer check this value, otherwise DON'T CHECK
ADDED: On Advanced Setting "Test Deint" it will run the usual deinterlace test and will report the information. It will also set the deinterlace pattern
FIXED: Some issue on Deinterlace routines
FIXED: Some code optimization
0.83 Full Package 03/05/2007
ADDED: Some check to Test Deint fuction
ADDED: QMtrim. QMtrim is a vectorial analysis software based on mvanalyze. When enabled AutoMKV will do one more pass to determine the motion vectors of movie. Using this file QMtrim is abled to construct a very complect trim script with multiple denoiser applyed. http://www.digitalexpression.it/forum/index.php?showtopic=416
ADDED: Filter selected is now used in Preview (Suggestion by Nadine)
ADDED: Edit LVL button to dinamically edit the QMtrim lvl files
ADDED: Deinterlacer Settings is now used in Preview. You can see what your deinteralcer will do. Leave AUTO for no deinterlace preview
ADDED: In Preview panel the possibility to trim. Remember to click "Trim from here" for setting the Trim start. The file will be encoded from start to this frame
ADDED: In QMtrim options to encode as compression test the full lenght of movie
ADDED: Chapter Editor. Quite goofy and limited... but fuctional. The text could be also directly added and copy&paste. I suggest to use the DEL and CANC button to delete empty string...
ADDED: Some sanity check about QMtrim
FIXED: When working with WMV and FILM type the tdecimate stringe goes after cropping
FIXED: Some issue on iPod profiles (thanks to migrena)
FIXED: On selecting Don't care about file size the Width is set to Original and Resizer to NONE
FIXED: In directShowSource is now specified converfps=true and fps=xxx
FIXED: In Crop settings "Check Values" and "Preview" are valorized only if input file is present
FIXED: Some tuning to FFmpeg encoding to X264, changed both preset. Now fast is fast.
FIXED: If input is d2v or m2v and isn't selected any audio, the default audio track will be NONE (previusly was "All Audio Tracks")
FIXED: If Compression check is 100, then isn't applyed any SelectRangeEvery
FIXED: Moved ColorMatrix as last filter. This move will correct issue of wrong color with non MOD16 crop
FIXED: Some update to log
UPDATE: FFmpeg.exe to v8797, X264 v654,
0.83a 04/05/2007
FIXED: Preview panel AND FILM/Decimate deinterlacer (thanks to nx6)
0.84 Full Package 18/05/2007
ADDED: Huffyuv to FFmpeg supported output (audio is stereo 16bit pcm)
ADDED: Mpeg1 to FFmpeg supported output (audio is stereo mp2)
ADDED: MSmpeg4 (the old DivX3) to FFmpeg supported output (audio is stereo mp3)
ADDED: Mjpeg to FFmpeg supported output (audio is stereo mp3)
ADDED: Snow		 to FFmpeg supported output (extremely alpha , command line like -vcodec snow -vstrict -2 -strict -2 )
ADDED: YUV to FFmpeg supported output (no audio)
ADDED: "AUDIO aac 2ch" to FFmpeg supported output
ADDED: "AUDIO aac 5.1ch" 	to FFmpeg supported output
ADDED: "AUDIO ac3 2ch" to FFmpeg supported output
ADDED: "AUDIO ac3 5.1ch" 	to FFmpeg supported output
ADDED: "AUDIO flac 2ch" 	to FFmpeg supported output
ADDED: "AUDIO flac 5.1ch" to FFmpeg supported output
ADDED: "AUDIO mp2" to FFmpeg supported output
ADDED: "AUDIO mp3" to FFmpeg supported output
ADDED: When encoding with FFmpeg for audio, is used the selected audio track
ADDED: CCT AAC is now able to do multichannel encoding. The audio is preprocessed to wav and then piped by ffmpeg to CCT encoder
ADDED: Reorganized the profiles. Added a check to enable "All Profiles", otherwise only basic profile will be avaiable
ADDED: VRO to supported media (using DgIndex to process)
ADDED: LanczosPlus, use it only for UpScaling http://forum.doom9.org/showthread.php?t=125469 by *.mp4 guy
ADDED: LEM. This filter is an adaptive denoiser that could give very good result. It can dinamycally apply till 2 filters based on luma and motion of frame http://www.digitalexpression.it/forum/index.php?showtopic=739 by superqix 
ADDED: PS3 X264 profile (alpha, thanks to esso and foxyshadis)
ADDED: AutoMKV will check if fftw3.dll is present in \system32 folder. If not will ask to copy it
FIXED: In XviD Profiles ClosedGop and ChromaMotion renamed to NoClosedGop and NoChromaMotion, for better logic (suggestion by nullstuff)
FIXED: A lot Better image of Codec Logo and Container Logo
FIXED: Modified the pre-processing of WAV when encoding to WMA (suggestion payne_en_diaz) 
FIXED: When checked Cartoon Mode in XviD is used both cartoon mode AND greyscale (thanks to sunflash10)
FIXED: Worked on Anamorphic (but is experimental and not supported by any means)
FIXED: Better (i hope) code to handle audio demux, 24kb less code. Should be less prone to "Audio not found" error
FIXED: Better support to FLV as input (but i suggest to use FFmpeg option to deal with)
FIXED: Ref 0 isn't allowed even in turbo pass. Now is Ref 1 (thanks to foxyshadis)
FIXED: More robust detection of Private Audio Stream
FIXED: Moved ColorMatrix as first filter. This move will correct any other issue pending with colormatrix
UPDATE: DgIndex to 1.4.9 stable, FFmpeg to 8891, ported code to PureBasic 4.02
0.84a 20/05/2007
FIXED: If not allows to use DelayCut AutoMKV will throw error (thanks to BleedingGum)
0.84b 21/05/2007
FIXED: The dos box of X264 encoding not show anything (thanks to BleedingGum)
FIXED: The all profiles checkbox on the basic settings tab does not stay checked when settings are saved (thanks to BleedingGum)
0.85 Full Package 06/06/2007
ADDED: "AUDIO vorbis" to FFmpeg supported output
ADDED: XviD to FFmpeg supported output
ADDED: Log of WMV
ADDED: VirtualDubMod to muxer Options 
ADDED: Splitting support to VirtualDubMod muxer
ADDED: In Log the FFmpeg muxing parameters
ADDED: In Log the Virtualdubmod muxing parameters
ADDED: An option to check integrity of avisynth script. Before starting encoding AutoMKV will check the script for avisynth errors. If errors are found those errors are written in log and user is requested to quit or proceed (if proceed it will trigger FFmpeg.exe)
ADDED: External subtitle (only SRT type) support to DivxMuxer and VirtualdDubMod muxers
ADDED: Preset to Tempo options
ADDED: Deinterlace to FFmpeg encoding. If the auto detection or user set a deinterlace pattern this value is passed to FFmpeg.exe
ADDED: AR Error in Preview panel (beta)
ADDED: HGAVS Optimizer by HellGauss
ADDED: MediaInfo is now used in preview panel for setting the original AR
ADDED: New PS3 profile, with level 41 (PS3_41.xml) (submitted by Jeroen)
ADDED: Again support to 5.1ch for WMV, be sure to read this before http://automkv.wiki-site.com/index.php/Audio_Troubleshooting
ADDED: Message to confirm external subtitle loading (suggestion by esso)
ADDED: Gauss_Based_Resize.lvl (QMtrim profile)
ADDED: In Advanced Profile Editing "Allow x264 Stats". This option is checked by default. When enabled will allow AutoMKV to diplay a graphical windows of X264 encoding status. Will be displayed the current video frame, the size of movie, % of progress, encoding speed, time elapsed and time remaining. Is also possible to abort encoding (killing the x264.exe). This feature uses from 0% to 5% of cpu power (depends of cpu power... of course :) )
ADDED: "Allow x264 Stats" in Save Settings
FIXED: Reworked avi muxers options
FIXED: Substitued VirtualDub.exe with VirtualDubMod.exe
FIXED: When input is an not mpeg container file (OGM/MKV/AVI/DIVX/MP4...) Copy Original as audio isn't more possible
FIXED: If LanczosPlus is used for downscaling the Spline36Resize is triggered
FIXED: Better code to handle FFmpeg usage (should be a little faster on 2 pass encoding)
FIXED: Some issues in preview panel
FIXED: If input file is an AVI/MKV/OGM the AR is extrated with MediaInfo
FIXED: When quequing IFO jobs AutoMKV will not queue if new movie is shorter (ugly bug present from 0.19, thanks to AMED)
FIXED: First pass of X264 is now quick. (thanks to smekoslav)
UPDATE: aWharpSharp to aWharSharp(Pruned), WMCmd.vbs 21/05/2007, DgIndex 1.4.9 VC6, FFT3DFilter 2.1.1, LanczosmtPlus 28/05/2007 , TITVC 1.02, ffmpeg rev 9133, SoundOut 1.0.1, SeeSaw 0.3e update by Foxyshadis (suggestion by wizboy11), QMtrim 0.5b1
REMOVED: AviMux_GUI
0.86 Full Package 27/06/2007
ADDED: Is now possible to edit even the width on Preview Panel
ADDED: Preview Resized on Preview Panel. It will displaye you movie resized (but no cropped)
ADDED: In Log usage of Use DirectShowSource for Audio and VIDEO
FIXED: The invoke of Deinterlacer routine is now hidden
FIXED: The invoke of VirtualDubMod for audio encoding is now hidden
FIXED: The invoke of wma encoding is now hidden
FIXED: When selecting source file AutoMKV will not more switch Audio codec or Audio bitrate (if possible) (thanks to BleedingGums)
FIXED: When changing codec or container AutoMKV will try to not change Audio codec or Audio bitrate (if possible) (suggestion by BleedingGums)
FIXED: Checking "Keep ITU-R BT.601-4" will now change immediately the width ... without need to "re-click" on height (thanks to Ermenegildo)
FIXED: On CQ Encoding the preview of command line reported pass 2 (thanks to weaver4)
FIXED: Audio input only was broken due to security check on avs
FIXED: When using HGAVS Opt the burnt-in subtitle was broken (thanks to DIEGO7-5)
FIXED: Some fixes on rare bugs on wma audio
FIXED: CCT Audio Encoding (i hope...)
FIXED: When encoding audio input file the encoded file is now named based on "Movie Name:" written
UPDATE: mvtools-v1.6.4, QMF by superqix (07/06/2007)
0.86a 27/06/2007
FIXED: EditLVL doesn't fuction on path with space (thanks to nullstuff)
0.86b 28/06/2007
FIXED: HGASV Level count how many filters is applyed (thanks to nullstuff)
FIXED: Low window now used a fixed type font (Courier New), much more readable (thanks to nullstuff)
0.86c 29/06/2007
FIXED: HGAVS wasn't saved on Save Settings (thanks to nullstuff)
FIXED: AutoDeint was broken because of new graphical interface
0.86d 30/06/2007
FIXED: Some tuning to colormatrix (thanks to Ermenegildo)
FIXED: Cropping in Preview Panel was broken (thanks to Ermenegildo)
0.86e 06/07/2007
ADDED: FFmpeg command line added to Log
FIXED: "Don't Care about Size" will change width only if with is "Automatic"
FIXED: When input is ifo AutoMKV will try to demux audio even if not requested
FIXED: When changing audio codec the downmixing will not change. It will be set to Stereo for Lame
FIXED: Deinterlace test results now is always reported
FIXED: When working with interlaced source, ColorMatrix is used in interlaced mode
FIXED: Readded Deinterlace Status Analysis Window(beta)
FIXED: ChapterXtractor should work on long path
FIXED: FFDshow will remain invoked even if script is closed (2)
FIXED: Computing movie parameters is now hidden
FIXED: ColorMatrix slowdown, moved as last parameter. This little move will gain up to 15% of speed encoding
FIXED: Removed -fps from xvid_encraw command line. Even if value passed was correct
0.87 Full Package 13/07/2007
ADDED: Check if avs input file is yv12
ADDED: aq-strength, aq-sensitivity to X264 profile
ADDED: Possibility to extract audio (Copy Original) for AVI/MP4/MKV/OGM/MOV.. container. The extraction is done by ffmpeg, or if present in \exe\BeSweet folder mplayer.exe. I cannot guarantee the correct extraction (for example aac extraction with mplayer is broken...)
ADDED: QMTrim 0.6b1 support
ADDED: Warning message when selecting QMTrim or HG AVS (suggestion by survivant)
ADDED: Aften support
FIXED: In command line interface the movie name wasn't set (thanks to g_aleph_r)
FIXED: After several test the thread parameter is now set to "--threads 0 --thread-input"
FIXED: Some bugs on QMTrim (thanks to survivant)
FIXED: Update PS3 4.1 profile (thanks to survivant)
FIXED: Save configuration will now save in AutoMKV folder (suggestion by zacoz)
FIXED: Is no more possible to apply both MVDegrain AND MVDenoise (suggestion to survivant)
FIXED: Changed the Status bar... more professional now (1kb less of exe size! ;) )
FIXED: Some little layout change
FIXED: Using queue in multiple sessions (beta) (thanks to zacoz)
FIXED: When Disk Settings is "Don't care about size" and codec XviD the matrix will be set to "Didees SixOfNine-HVS.cqm"
FIXED: Some Matrix in XviD Profiles
FIXED: Totally reworked CRF/CQ Profile. Should be more clear and understable. Note that will be used as quantitizer the value in this window NOT in profile
UPDATE: X264 rev.663, all XviD profiles (compatibility with VirtualDub), all X264 profiles (for aq patch),MediaInfo 0.7.5.0, Aften 0.7
0.88 Full Package 27/07/2007
ADDED: If checked HG AVS, is used even for compression test
ADDED: If in AutoMKV folder is present a "beep" file (wothout quotes and extension), at end of encoding a Beeeep will be produced (suggestion by gonwk)
ADDED: Request for Abort encoding (suggestion by survivant)
ADDED: If encoding windows is CLOSED it instead will go to system tray. A simple double click on system tray icon will restore the window
ADDED: Last Line AVS Script to Preview
ADDED: Possibility to load an external Audio. If done this will be the only audio muxed. No other audio from clip will be muxed/encoded
ADDED: FFmpegSource option (in Advanced Settings, near ffmpeg). This option is to use when even directshowsource is unable to process your file. AutoMKV will automatically trigger this option if directshowsource fail. This features is not used on mpeg2 files (ts,pvr,vob...) and if you want activate it (on mpeg2 files) you must even check Use DirectShowSource for Video (Update to FFmpegSource 1.4)
ADDED: Now the trim will apply to audio too
ADDED: Possibility to burn in external subtitle in movie (srt,idx/sub,ssa,ass) . Use the load external subtitle and check "Burn Subtitle in Movie"
ADDED: Status windows for encoding with XviD
ADDED: Color conversions
ADDED: FastLineDarken 1.3 MT MOD.avsi
ADDED: AQ_XPass profiles to X264 profiles. These profiles are the usually profile with AQ enabled (aq=0.5, aq-sens=15)
FIXED: Custom.bat wasn't launched. Create this file in \exe\BeSweet folder. (example: C:\AutoMKV\exe\BeSweet\ffmpeg.exe -i C:\encoding\audio.ac3 -acodec mp2 -ac 2 -vol 256 -ab 224000 C:\encoding\temp\audio.mp2 )
FIXED: On "Don't care about size" the Resizer is set to NONE (suggestion by zacoz)
FIXED: Deleting Jobs from queue doesn't enable the start button (thanks to tha_reaper)
FIXED: PS3_41 profile. B-RDO wasn't used (thanks to survivant)
FIXED: If DVDFabDecrypter isn't present, "Check DVD Drive" is disabled
FIXED: Some code optimization (1 kb less exe)
FIXED: Some quirks to command line encode
FIXED: Removed AutoCrop computation n "Computing movie lenght" if Manual Crop is enabled
FIXED: When splitting with mkvmerge the number of splits are now fixed. This could lend to a bigger last file, but not to more split then requested
FIXED: When audio source is AVS the encoding don't goes ok (thanks to vOjToL)
FIXED: Some tweak on Colormatrix (SMPTE 240M->Rec.601 conversion)
FIXED: Neither libsndfile-1.dll or fftw3.dll or all library needed to ffmpegsource will be need to put in systems folder. But if script is opened (virtualdub/mpc...) after AutoMKV was close , will be some errors. Now AutoMKV will set a tempoary PATH variable for those files. Only for Preview is needed to copy those file.
FIXED: No more use of NicMP4Box since new MP4Box support the -ipod and -psp switch (build by Kurtnoise)
FIXED: Between different encoding (in same seesion) the trim parameters was applyed to all file
FIXED: The bitrate compute now take in account the Trim value (thanks to survivant)
FIXED: Using .idx/sub in MP4 will now diplay, when playing, only the selected subtitles
FIXED: Now when clicking Preview Resized will be displayed the cropped movie at correct resolution
FIXED: All XviD Profiles ( http://forum.doom9.org/showthread.php?p=1027060 )
FIXED: ColorMatrix usage on no filter, no resize script
UPDATE: SoundOut to 1.0.3, MP4Box to 0.45, all x264 profiles (mainly ref frames),xvid.cvs.head.MTK.2007.07.25.7z, X264 667b Cef's build
0.89 Full Package 10/08/2007
ADDED: VFW Support. For activating press CTRL F9. You need avs2avi.exe in \exe\encoder folder. Download from http://www.avs2avi.org/ ( tested with http://www.64k.it/andres/a/avs2avi-139x.zip ) There is a very limited support to this features.. since it is unofficial..
ADDED: HCenc Support. For activating press CTRL F10. You need HCenc_021.exe in \exe\encoder folder. Download from http://www.bitburners.com/Software/Download/Video_Codecs_and_Encoders/HC_Encoder/HC_Encoder_v0.21/ . I suggest to use manual crop and resize to get a "dvd like" resolution, even if hcenc will encode even 656*272 files. There is a very limited support to this features.. since it is unofficial.. 
ADDED: Lot's of tooltip for HCEnc , taken from official manual (a big thank to Hank315 for this wanderfull piece of software)
ADDED: MOV to list of supported file type
ADDED: Sagittaire HD-DVD profile for x264. Sagittaire_6MB.xml , Sagittaire_12MB.xml, Sagittaire_18MB.xml. These profiles are very slow http://forum.doom9.org/showthread.php?goto=newpost&t=128498
ADDED: Preprocess to Lossless (request from a big donor). The file is huffyuv, with pcm audio (stereo or multichannel)
ADDED: QMLF_Adaptive_LVL, this qmf will use the LVL specified in QMTrim (alpha)
ADDED: Tweak in Preview Panel. Note that for see the effect you must it Preview Resized
FIXED: CCT Audio encoder and AVS audio input
FIXED: Advanced Audio Setting are (NERO and CCT options) are remembered when quequing
FIXED: For running HGAVS is needed that FFmpegSource libs are in system path.
FIXED: No filter, no resize, no colormatrix usage with FFmpegSource
FIXED: If "Show Enc. Stats" was unchecked the xvid encoding will show all frames encoded (thanks to wizboy11)
FIXED: Changed how audio is feeded to WMcmd.vbs, now is passed as a_input parameter. Now 5.1 is working (a big thanks to jmnk )
FIXED: In status bar added a warning for use 5.1 audio with WMV
Update FFmpegSource to 1.7, QMLF to build 30/07/2007, QMLF_7_motions, redone all wmv profiles, vsfilter.dll
FIXED: Command line help. (thanks to Noritaka)
NOTE: Don't use queue/multiple works with HGavs/Qmtrim/QMLF_Adaptive_LVL
0.90 Full Package 13/09/2007
ADDED: PGCDemux and DvdDecrypter support. Reworked how episodic dvd is engaged.
1) FIRST CASE: WORKING WITH DVD TO RIP
the ripping will be done by dvddecrypter, in case of "difficult" ripping i suggest , as ever, to use ripit4me or dvdfabdecrypter (after this you can mount the iso to simulate "dvd to rip")
On PGC list select your pgc (episode) and DVDDecrypter will rip only this pgc
2) SECOND CASE: WORKING ON DVD ALREADY RIPPED
If selected the first pgc, dgindex will start directly, else PGCDemux will "demux" the selected pgc and this will be used for encoding
Don't strip audio from dvd or dgindex will be foled when demuxing audio tracks!
0.90 Full Package 13/09/2007
ADDED: PGCDemux and DvdDecrypter support. Reworked how episodic dvd is engaged.
1) FIRST CASE: WORKING WITH DVD TO RIP
the ripping will be done by dvddecrypter, in case of "difficult" ripping i suggest to use ripit4me or dvdfabdecrypter (after this you can mount the iso to simulate "dvd to rip")
On PGC list select your pgc (episode) and DVDDecrypter will rip only this pgc
2) SECOND CASE: WORKING ON DVD ALREADY RIPPED (laying on hd)
If selected the first pgc, dgindex will start directly, else PGCDemux will "demux" the selected pgc and this will be used for encoding
Don't strip audio from dvd or dgindex will be fouled when demuxing audio tracks!
ADDED: CFilter folder in \exe folder. In this folder put plugin that need LoadCPlugin (like yadif)
ADDED: VirtualDubPlugins in \exe folder. In this folder put VirtualDub plugins that want to load (example DeLogo.vdf). The filter will be loaded as this (for example) LoadVirtualDubPlugin("c:\VirtualDub-1_4_10\plugins\delogo.vdf","delogo"), attention to filter name "delogo". The filter name is based on plugin name!. So if plugin is called "awesome_deinterlacer.vdf" the filter will de called "awesome_deinterlacer". To use DeLogo plugin (and other virtualdub plugins) remember to converto rgb32 before. like this ConvertToRGB32.delogo(1, "500-999", "D:/2.bmp", "D:/2.bmp", "D:/1.bmp", "D:/2.bmp", 34, 56, 0,0).ConvertToyv12(interlaced=true) , apply this string to Last line avs string or base.avs
ADDED: If .chunks is present in original folder, before launching VSrip these file will be deleted (suggestion by vOjToL)
ADDED: In Xvid Status encoding the total time estimated and % of worked frames (suggestion by connex)
ADDED: Even in xvid 2 pass encoding the average bitrate is displayed in window
ADDED: FFmpegSource to queue saving
ADDED: DGDecode_Deblock in Advanced Profile Editing
ADDED: More X264 profiles, made by Kurtnoise13 PD_Apple_iPhone.xml,PD_Apple_TV.xml,PD-ATV.xml,PD-iPhone.xml,PD-Archos605.xml
ADDED: MVDegrain1
ADDED: MP4 as allowed audio input (suggestion by tha_reaper)
ADDED: In X264 encoding window the bitrate (suggestion by bleedingum)
ADDED: In Advanced Audio Options the possibility to encode with SoundOut with OGG/FLAC/WAV Extended/MP2
ADDED: In log the use of Specify Quality and Specify Bitrate
ADDED: Workaround for "Field Order Transition Detected" on Dgindex. The d2v is now checked against TFM and if movie-fixed.d2v is generated, then AutoMKV will use it
ADDED: Check , in Advanced profile editing, for allowing third pass with x264 (suggestion by 3ngel)
ADDED: In Advanced Settings "Hide Subs". This option is to use only for mkv container and will force player to not show subtitle
ADDED: Option to force first pass with the same value as second pass. Check "HQ first pass" in Advanced profile editing (suggestion by 3ngel)
ADDED: XviD_Sap_Scure to use for SAP compatibility when dealing with high compressibility source
FIXED: Using preview with d2v with HD movie (thanks to bisdelf)
FIXED: Spelling (thanks to InorganicMatter)
FIXED: X264 profile and use of deadzone-intra/inter (thanks to peter_h)
FIXED: Using the preview without filter enabled (thanks to edwardt)
FIXED: Missing parsing of Width parameter for x264 profiles
FIXED: No more need to copy ffmpeg libraries, libsndfile-1.dll or fftw3.dll in \windows\system32. Anyway is always preferred to copy these dll.
FIXED: AutoMKV will wrongly apply TFM/TDecimate on avi input. (thanks to AC84)
FIXED: In 2 pass encoding the default subme for first pass is now 2, look here http://forum.doom9.org/showthread.ph...85#post1035385
FIXED: Muxing problem using MP4Box and long path
FIXED: Reporting of wrong size of muxed file when container is MP4 (thanks to delacroixp)
FIXED: Title muxing when using Avi container and VirtualdubMod muxer
FIXED: Preview using ifo as input (thanks to DIEGO7-5)
FIXED: In log the report of a second pass when using Quality Mode (thanks to jellyfish2002)
FIXED: Erroneus splitting in many and more parts (beta fix)
FIXED: By default the encoding status is no more displayed. This will bring more speed to encoding and if wanted in Advanced profile editing is possible to enable it
FIXED: The deinterlacer status is not displayed. This will bring a more faster analysis and a more secure results.
FIXED: Custom BAT for audio encoding. Now is passed the Destination directory as variable. Look at custom_mp2.bat and custom_besweet.bat in \besweet folder
REMOVED: Vstrip, DVDFabDecrypter
UPDATE: MVTools to 1.8.4, mt_masktools to 2.0 alpha 32, update NicAudio (13/08/2007), PS3.xml and X264 profiles like 1_Pass_High Performance.xml, 2_Pass_Balanced.xml,2_Pass_Better_Quality.xml (http://forum.doom9.org/showthread.ph...09#post1035509), XviD profiles,Mktoolnix to 2.1.0, BAutoDeint thanks to Andreas Kuhlen, DGindex 1.5.0b1, xvid_encraw 31/08/2007, MediaInfo 0.7.5.2, ColorMatrix 2.2, FFmpegSource 1.11, dgmpgdec 150b2,x264 r675
0.90a
FIXED: Keyboard shortcut form HCEnc/Avs2Avi (previusly could break some games.. like PES6 when played at in windowed mode)
FIXED: Better thread optimizations
FIXED: If FFmpegSource isn't found... will don't be loaded
0.90b
FIXED: On some system disabling the Show Enc Stats when encoding to x264 could lead to a bad encoding (thanks to AMED)
0.90c 29/09/2007
FIXED: No more need of default.avs (list of dll to load). Now dll is dinamically loaded at every start
FIXED: CHECK DVD DRIVE (thanks to DIEGO7-5)
FIXED: 16MB split BUG (thanks to perseverance of Barleyman)
FIXED: Wrong report of 1 CD size for Constant Quality Mode (just a log bug, thanks to Barleyman)
0.91 Full Package 30/10/2007
ADDED: Tune CQ button. Is activated only when working with Constant Quality profile
ADDED: 2 pass encoding with Nero AAC Enc. Option avaiable only when using CRB or BR encoding, activable in Advanced Audio Options
ADDED: LAME VBR preset (medium, standard, extreme and insane) (Suggestion by ermenegildo)
ADDED: Again check for ffmpegsource dll in \windows\system32. Too many users complain about not able to open avs script made by AutoMKV in virtualdub.
ADDED: v_adz option for wmv profiles. In Wmv profiles is now set to false
FIXED: Font in log
FIXED: The language list will show only avaiable translation (suggestion by aytin)
FIXED: Autodeint routines are launched in old dos mode
FIXED: When loading a Save Setting with Constant Quality Profile enabled the CQ button will be valid
FIXED: Some log optimizations
FIXED: Reworked all WMV Profile
FIXED: No more need to set 6 ch on Advanced Audio Settings for WMA audio. Selecting ORIGINAL will set 5.1 output. USE ORIGINAL only if your audio source is already 5.1 (suggestion by Bleedingum)
REMOVED: v_percopt from wmv profiles
REGRESSION: MP4Mux 14/09/2007 build, newer build crash on Vista
UPDATE: X264 v680, TIVTC 1.0.3, DGIndex 1.5.0 b10, WMcmd.vbs 11/10/2007
0.91a 05/11/2007
FIXED: "Wrong field transition"
0.91b 07/11/2007
FIXED: Preview of HD files. Note that crop value are referred to the reduced size (thanks to bisdelf)
CHANGED: PGC ripping is now always active. Whenever you select a pgc this pgc will be extracted.
0.91c 08/11/2007
FIXED: Usage of psp/ipod muxing (thanks to acrespo)
FIXED: Added a sanity check for queue routines when working on pgc
CHANGED: Autodeinterlacer routines now use a different approach
REMOVED: Bautodeint.exe
0.91d 13/11/2007
FIXED: Prepare only pahse was broken (thanks to zacoz)
0.91f 18/11/2007
FIXED: PGC selection
0.92 20/11/2007
ADDED: Support for ipod muxing
ADDED: MP4Mux 04/11/2007 build,
FIXED: Case of wrong dar passed to MP4box.exe
0.92a 27/11/2007
ADDED: "Allow AVS check" to Save Configuration in Advanced Setting (suggestion by delacroix)
ADDED: "Allow x264 Stats" to Save Configuration in Advanced Setting (suggestion by delacroix)
ADDED: "Hide Subtitle" to Save Configuration in Advanced Setting (suggestion by delacroix)
FIXED: Wrong reported size of demuxed wav audio file
FIXED: Hardcoded subtitle wasn't working
0.92b 01/12/2007
FIXED: Every profile that have in name "_CQ_" (without quotes but capitalized) will trigger the Constant Quality Window
0.93 28/12/2007 Full Package
ADDED: Check to control if virtualdubmod was never launched (suggestion by BobGray)
ADDED: Support for "--fpel-cmp" and "--me-prepass". Set <fpel-cmp> to something like satd, and <me-prepass> to true for activating (thanks to Dark Shikari)
ADDED: Queue and Save Configuration now save also: Force Mux AR, Hight Quality First Pass, Do the Third Pass, Force Mux H*W (suggestion by Die's Man)
ADDED: -threads option when using ffmpeg.exe
ADDED: -psp muxing switch
ADDED: AC3 audio to AVI container (suggestione by mindfreak13)
ADDED: Support for new DgIndex audio handling
ADDED: 24fps to 23.976fps preset to TimeStretch in Advanced Audio Options
ADDED: font=sans-serif:size=24 to sub srt muxing (suggestion by trott)
ADDED: "Auto adjust CRF", "Use Last line AVS Script", "Last line AVS Script" to queue
ADDED: Dinamyc change of AQ Strenght and AQ Sesitivity in gui, under Advanced Profile Editing. The AQ Strenght (and only for strenght) value displayed is multiplied for 10. So if you set AQ Strenght to 13, the real value passed is 1.3, if you set to 7 the value passed is 0.7
FIXED: Audio size wasn't computed when dealing with TS input file (thanks to breadfan)
FIXED: FFmepgSource usage when framerate is undetermined
FIXED: Several issues related to FFmpegSource and PreProcess to Lossless
FIXED: Text Typos
FIXED: On both audio track selecting the same language, but on second "copy original"
FIXED: AQ_Constant Quality profile don't display the Constant Quantitizer tuning (thanks to Encoder888)
FIXED: DAR compute when present lateral (right/left) crop (thanks to coz)
FIXED: Trim value is remembered only for queue and Save Configuration, not for Save Setting
FIXED: Prerender to lossless input when dealing with audio with 6 channels
FIXED: Copy of FFmpegSource dlls in Windows Vista
FIXED: The Deinterlace rountines will be applyed even if input is AVS. BUT will not be applyed in final script. Look at log for analysis results. It's also possible to use Test Deint on AVS input
FIXED: Optimized script for movie analysis when input is AVS
UPDATE: TIVTC 1.0.4
UPDATE: FFmpeg to rev 11050
UPDATE: Mediainfo to 0.7.5.5
UPDATE: X264 to Cef rev.709
UPDATE: Aften
CHANGED: in XviD SAP profile, number of B-frame is now 1 (suggestion by SilverBoy)
CHANGED: All level (Annex) in X264 profiles
CHANGED: Set BFramePyramid to false in PS3_41.xml profile
REMOVED: All AQ profile, since is now possible to specify AQ for every profile
0.93a 30/12/2007
ADDED: support for <aud>, <nal-hrd>, <pulldown> , take as reference the PS3_41_ECS3.xml, pulldown value can be any integer (suggestion by survivant001)
FIXED: Typos (AQ strenght -> AQ strength) (thanks to Encoder888)
FIXED: Maximum AQ Strength is 2.0 (and so you can put 20 for 2.0)(thanks to Encoder888)
0.95 05/02/2008 Full package
ADDED: Movie name is now based on folder name (in case of ifo input) (suggestion by AMED)
ADDED: Possibility to specify only the crop values and not the width and height (suggestion by Honeyko)
ADDED: "Don't Mux But Save Temp Folder" checking this option will force AutoMKV to rename temp folder (based on movie name) and to not mux
ADDED: In case of MP4 container and AC3 Audio now AutoMKV will not quit. It will prompt a message about not able to mux and will move the temp folder
ADDED: Now FFmpeg Encoding take account of Manual Crop&Resize and Manual Crop and Specify Bitrate. In this way AutoMKV can be instructed to do near all FFmpeg Encoding
ADDED: Colored crop value. Green = OK, Red = Wrong 
ADDED: Colored Manual Width and Height Value, Green = OK, Blu = not so well , Red = Wrong 
ADDED: Option to add "--engage keep_bitstream_ar_info" to muxing command line
ADDED: Tips! If you don't want tips just delete the file tips.txt
ADDED: Support for M2TS container using excellent tsMuxeR. I suggest to use PS3_XboX360 profile (have nal-hrd/aud enabled)
FIXED: When reopening CQ TUNE the previus values where rounded up (thanks to Honeyko)
FIXED: On d2v input, when checking Manual Crop and Resize will show correct value on Width and Height
FIXED: When encoding is running is no more possible to add job in queue
FIXED: Now Value of Crop and Width/height are greyed till user click on "Use Manual Crop/Resize" or "Manual Crop" (suggestion by Honeyko)
FIXED: Now when pressing Start Queue, the button "Start Queue" will be disabled (suggestion by Honeyko)
FIXED: In case of triggered ffmpeg encoding (avi/xvid) now AutoMKV wil correctly mux the final file (thanks to Honeyko)
FIXED: Now AutoMKV wil rename automatically "movie name" contain illegal character like|!<>"?\/.
FIXED: Even on Avi muxing AutoMKV will check for already existing file destination. In this case will create a muxed file starting with numbers_movie name.avi (thanks to Honeyko)
FIXED: On Avi muxing the original audio is no more muxed (thanks to ryc0203)
FIXED: Manual Crop and Resize will disable Width on load settings (thanks to Honeyko)
FIXED: Force Mux Height and Width are remebered on qeque
FIXED: Quality Encoding will now trigger on ffmpeg encoding a quality encoding too
FIXED: Removed some pop up windows
FIXED: Usage of ITU and Anamorphic encoding (a BIG thanks to Valnar AND SeeMoreDigital)
FIXED: Anamorphic on muxing (thanks to Zacoz)
FIXED: Some issues using FFmpegSource
FIXED: Some issues using PreProcess to LossLess
FIXED: Reduced the number of "triggering" list. Now clicking on audio, video profile, container, codec AND not changing the value will not trigger AutoMKV routines
FIXED: DSS x A/V will force AutoMKV to use DirectShowSource for encoding both audio and video
FIXED: DSS x Audio will force AutoMKV to use DirectShowSource for encoding only audio (before will trigger even video)
FIXED: Whenever "Manual Resize / Crop" is checked, AutoMKV will determine if there is already a setting for Resize Filter other than NONE. If it is NONE, then it will be changed to SimpleResize(neutral soft). (suggestion by Honeyko)
FIXED: When checking "Specify Quality" the encoding status window will now display the selected CQ/CRF value (thanks to Honeyko)
FIXED: When checking Manual Crop&Resize the value of width specifyed in profile are ignored
FIXED: Deinterlacer Analysis is now minimized
FIXED: Some Layout in GUI, most cosmetic
FIXED: Some layout on log
UPDATE: FFmpegSource 1.14, ColorMatrix 2.3, TIVTC 1.0.5, FFmpeg r11562,Mp4Box 11/01/2008, X264 rev 736 (AQ 0.48, 2pass vbv, aud/nal-hrd) PS3_41.xml profile renamed to PS3_XBOX360.xml and lowred the qpmin to 5, Xbox.xml profile, oggenc2.84-aoTuVb5-generic.zip
UPDATE: Italian translation
DELETE: Some duplicate x264 profile (heritage of compatibility with Megui)
CHANGED: When selecting "Don't care about size" AutoMKV will not do anything, just on status bar "Don't use Automatic Width. It's a waste of time with Unlimited File Size."
CHANGED: On Zune profile all audio is now WMAPRO.
CHANGED: How AutoMKV will compute Height. Now the calculus are very precise and corrected to AR (i hope...)
CHANGED: AutoMKV can now handle delay audio in several ways. The default is to use DelayAudio in Soundout (as MeGeui) (AutoMKV will silently switch to Fix in Mux if audio is "copy original") (a precius suggestion by valnar). Or can Use DelayCut or can fix the delay in mux (as AutoGK)
CHANGED: In case of broken audio encoding AutoMKV will not try to use SoundOut but will pipe from ffmpeg to audio encoder. Due to inability of many encoders and bugs of FFmpeg.exe, AutoMKV will trigger a directly encoding made by FFmpeg
0.95a 05/02/2008
FIXED: On Muxing the changefps parameter was ignored (thanks to zacoz)
0.95b 12/02/2008
ADDED: Now AutoMKV create a muxing.bat even for M2TS muxing. For hand made facilities (suggestion by survivant001)
ADDED: In case of M2TS muxing AutoMKV will compute an overhead of 6% on bitrate (suggestion by survivant001)
ADDED: M2TS Container Logo (fell free to suggest better logo)
FIXED: "Do HQ First Pass" wasn't applyed when encoding to XivD (thansk to XhmikosR)
FIXED: On log file "Enabled CRF/CQ AutoRes" wasn't displyed on case of "Specify Quality" (thanks to Honeyko)
FIXED: Double use of --sar option. Pay attention to <Sar> value in profiles (thanks to survivant001)
FIXED: Link to new 0.95 thread (thanks to nanorch)
FIXED: Clicking on "Preview" will now force "Use Manual Crop/Resize"
FIXED: Usage of AQ (previusly was always on) (thanks to zacoz)
FIXED: SPA to ESP in language (thanks to zacoz)
FIXED: Use of Constant_Quality with constrained disk settings AND Original width/height (thanks to Don_Genaro)
0.95c 14/02/2008
ADDED: Better tooltip layout
ADDED: Aspect error in log file
ADDED: Save personalized profile (suggestion by survivant001)
FIXED: 2 pass encoding with Nero AAC Audio and movie longer than 2 hours
FIXED: Reduced log (trimming all load plugin/import section)
0.96 01/04/2008
ADDED: "Suspend" to shutdown mode
ADDED: "PopCornHour" profile (thanks to weaver4)
ADDED: In the target output size added "Same as source"
ADDED: Support for neroAacEnc_SSE2
ADDED: Force compulsory MOD16 AUTOCROP (suggestion by MichaelAnders)
ADDED: M2TS input file. These files will be totally parsed when selected
ADDED: Check for NON AVC files inside M2TS
ADDED: "Safe" deinterlacer. This deinterlacer is the same as AUTO, BUT with a very low threshold for determining interlace pattern (so will be easy to trigger)
ADDED: Support for language tag on m2ts muxing
ADDED: Support for DivX 6.8
ADDED: Support for Specify Bitrate for DivX 6.8
ADDED: Support for Specify Quality for DivX 6.8
ADDED: Support for CQ Tune button for DivX 6.8
ADDED: Support to "Do the Third Pass" to DivX 6.8
ADDED: Support for eac3to (thanks to madshi). NOTE that you must supply correct audio decoder configuration:
AC3, E-AC3 and TrueHD decoding you need:
(1) Nero 7 (Nero 8 won't work!)
(2) Nero HD-DVD / Blu-Ray plugin
DTS decoding you need:
(1) "Sonic Cinemaster Audio Decoder 4.3" DirectShow filter
ADDED: 15000/1000 conversion fps (request by Honeyko)
ADDED: Possibility to specify path to chapters file. You must use chapter editor for create this chapter and save where you want
ADDED: Support for multi audio track in avi/mkv container input file. Yes you can choose the audio track inside a mkv input file
ADDED: Matroska folder to dinamyc path (thanks to jeroenvg)
ADDED: Buffer size to x264 basic profiles
ADDED: Warning for joining m2ts files with tssplitter
ADDED: Support for split size M2TS
ADDED: As input file audio DTS
ADDED: --vbv-len=500 to m2ts muxing
ADDED: When encoding in Quality mode in WMV, the quality (internal) will be dinamically adjusted
ADDED: XivD VAQ support (thru lumimasking)
ADDED: 1_Pass_High_Quality.xml by DIEGO7-5 to XviD profiles
ADDED: Support for AQ 1.0
ADDED: Support for M2TS/VC1 input file (thanks to Encoder888)
FIXED: On Save Configuration the ini is now added automatically if not set (thanks to Cyrus221/Tirade)
FIXED: Forcing PAR with XviD
FIXED: --engage keep_bitstream_ar_info is now avaiable only for x264 encoding
FIXED: If neroaacenc.exe isn't present the default audio codec is now "Coding Tech. AAC"
FIXED: Some work on Queue
FIXED: In Command Line is now showed even the AQ Strength/AQ Sensitivity
FIXED: Tips! a Invaluable Thanks to Tirade for grammar and spellings
FIXED: Load and Save Conviguration could mismatch codec profile's (thanks to Spreeni)
FIXED: Number of threads is now saved in queue/Save Configuration (thanks to Spreeni)
FIXED: Suspend status (at least on Win XP) (thanks to Spreeni)
FIXED: NONE Resizer AND Automatic Crop combo usage (thanks by MichaelAnders)
FIXED: Hybrid Framerate support on queue
FIXED: Queue usage and AQ Sensitivity/AQ Strength
FIXED: On Save Setting the CQ Tune button wasn't triggered on start
FIXED: Use of "RIP ALL SUBS" when muxing into MP4 container
FIXED: AutoMKV log will better trace x264 log
FIXED: Memory leak on x264 encoding status window
FIXED: Slow encoding with XviD
FIXED: Lame bitrate will not change when selecting another source
FIXED: Suspend status (thanks to zacoz)
FIXED: --analyze to --partitions (for x264)
FIXED: The CQ Tune Button wasn't show for Load and Save configuration (thanks to Barleyman)
FIXED: Log file name is based on final movie name
FIXED: Reworked wmv...
FIXED: Audio Track language signaling in m2ts
FIXED: When not doing any resize automkv will (in case of mpeg2 input file) signal correct ar
FIXED: Subtitle muxing
FIXED: Support for FFmpegSource for M2ts files
FIXED: Manual crop on HD movie
FIXED: Quicker AutoCrop for AVC movie
FIXED: Loading of profile specified in AutoMKV.ini
FIXED: Swedish language problem (thanks to Zow)
CHANGED: 2_Pass_PS3_XBOX360 profile, now using uhm, and for second pass "me-prepass" (thanks to survivant001)
CHANGED: Reworked how files are checked at start
CHANGED: Readded default AQ. It will be always on as default. Set both values to 0 for disabling it
CHANGED: WMV Encoder now is based on UncompAVIToWMV.exe
beta13
FIXED: FFmpeg encoding specifyng manual crop and resize
ADDED: Sanity fix for sub muxing (.idx/.sub) in mp4 (thanks to bibile)
FIXED: Audio delay in wmv encoding
FIXED: Framerate reporting in WMV (thanks to Barleyman)
ADDED: "Decimating Anime" as preset for decimating hybrid (thanks to hyacinth)
FIXED: On selecting PGC now "All Audio Tracks" is avaiable (thanks to fateman)
ADDED: Now when using QMTrim with Automatic threshold, in log is reported the threshold used (seggestion by rkalwaitis)
FIXED: Some weird error on prerender to lossless
FIXED: Czech(Ceske) language
ADDED: Support for new --b-adapt in profiles
ADDED: Support for MVDegrain3
ADDED: Support for psy-rd both in profiles and gui. Gui value won over profile value
ADDED: Support for --me tesa (set METype to 4)
ADDED: New X264 Profile "2_Pass_Psy_B_Adapt.xml" 
ADDED: Udegrain.v8.08b to filters list
WARINING: Only the basic profiles are updated (_Pass_)
UPDATE: FFmpeg Snow Command line (thanks to rkalwaitis)
ADDED: Support for gradfun2db filter
beta14
FIXED: Compression test is done on MOD16 resolution
beta15
ADDED: Users can now select to subrip with Vsrip or vobsub
beta16/17
CHANGED: Queue. Now Work on command line bases
beta18/19
FIXED: Queue
0.97 beta 1 03/09/2008
ADDED: Support to DivX H.264 encoder
ADDED: Average_Lem_Gauss_Denoise.lvl to scrip for hgavs or qmtrim. It's a pretty direct resize filtering based on gauss resize and LEM
FIXED: Delete Job now delete the queue.bat line
FIXED: Safe Deinterlacer triggered always a deinterlacer
CHANGED: Display encoding stats now will show the x264.exe encoding window AND will be faster then not showing it
FIXED: x264.exe will start at idle priority and will minimized
UPDATE: DGIndex 1.5.2, HCEnc 0.23, MKVToolnix 2.2.0, x264 0.61.957M 7ce0f2c, medianfo 0.7.7.4, tsmuxer 1.8.4b, eac3to2.60, bass audio 2.3, DGAVCDec 1.00b35, SoundOut test 2, NicAudio 2.01, FFmpegSource 1.21, FFmpeg Sherpya-r14277
0.97 beta 2
FIXED: (again) Save Deinterlacer threshold
FIXED: Http link to new 0.97 thread
ADDED: !readme.txt for dependencies
FIXED: Start with a clean queue
beta 3 09/09/2008
FIXED: (partially) duplicate audio in list  when using queue
FIXED: Use of Anime Deint with non mpeg2 input
FIXED: Use of subtitle in queue (thanks to ryc0203)
FIXED: Ugly bug when coping audio (and is fourth or later audio tracks), thanks to Taddeusz
beta 4 11/09/2008
ADDED: extra1 parameter in x264 profiles, useful for extra parameters
FIXED: MOD16 Crop not remembered on queue  (thanks to Hedzin)
FIXED: Is no more possibile to check both "Use DSS x A/V" and "Use DSS x Audio" (thanks to ryc0203) 
FIXED: Use of external subtitle with avi container AND burnt subtitle (thanks to YIG)
FIXED: Audio was double encoded when checking "USE DSS x A/V" (thanks to ryc0203)  
ADDED: .M2T to list of accepted input (tested on HDR-FX7 sample files)
ADDED: para.lst in log file (subtitle ripping file)
ADDED: Some tooltips 
UPDATE: Udegrain to MCTemporalDenoise
CHANGED: Recked all x264 profiles to make use of AQ and PSY-RD (when needed)
UPDATE: x264 0.65.999M cc51047,MKVmerge 2.3.0, added Anime Profile, added 2 pass fast profile , eac 2.65,dgAVCDec 1.0.2
03/10/2008 AutoMKV 0.97 Full Package
FIXED: Deinterlacer routines will run simultaneusly. Faster detect
CHANGED: Recked all x264 profiles
0.97.1 07/10/2008
ADDED: "Specify AR Input" usefull when input isn't mpeg2. Use it for mkv/avi/ogm..
ADDED: "Only Forced Sub"
FIXED: "Allow Hybrid Order/Pattern" wasn't saved on "Load/Save Settings" (thanks to AGKnotUser)
FIXED: "--sar" is working for xvid/x264/divx
CHANGED: Force MOD16 now applies to crop and resize
CHANGED: Height is now MOD8 (less AR error)
0.98 Full Package 03/11/2008
FIXED: Muxing in avi with virtualdub don't keep correct audio order (thanks to paolo1983)
FIXED: Chapter button don't load already present chapters's file (thanks to madforweb)
FIXED: Anamorphic encoding (very beta)
FIXED: Preview will not report exact AR (thanks to madforweb)
FIXED: When accepting the preview automkv will set also the AR input as selected in preview
CHANGED: No more need of h264to (now using ffmpeg.exe)
CHANGED: FFmpegSource no more handle audio
CHANGED: Recked all x264 profiles (suggest to try the new 2 pass balanced and cq optimized profiles)
CHANGED: When input is avi/mkv/mp4/flv automkv will now scan for audio tracks without extracting it. Automkv will dinamically extract and encode it when needed. This allow copy audio track or encoding specific one's
UPDATE: eac3to 2.73, mkvmerge 04/10/2008, x264 rev 1016 (x264.nl), FFmpegSource 2.03beta,FFmpeg (Sherpya) r15666, MCTemporalDenoise.v1.0beta4
0.98.1
FIXED: Use of ffmpegsource and directshowsource was broken
FIXED: Extracting ac3 audio from mkv (thanks to Chengbin)
0.98.2
FIXED: In some mkv file audio could not be extracted (thanks to chengbin)
FIXED: now when ffmpegsource is enbled and directshowsource for audio is enabled too, audio isnt' extracted
CHANGED: Apple Profile, PSP profile, Archos profile
UPDATE: eac3to 3.03,x264 rev 1083, MediaInfo, mp4box, oggenc, aften, dgavcdec,ffmpeg